## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicContext

Class DynamicError

Class EmptyEnumerator

Class ExtensionFunctionCall

Class ExtensionFunctionDefinition

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class Serializer

Class StaticContext

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAnyFunctionType

Class XdmAnyItemType

Class XdmAnyNodeType

Class XdmAtomicType

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmItemType

Class XdmNode

Class XdmNodeKind

Class XdmSequenceType

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXdmEnumerator

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Class XQueryExecutable

    public class XQueryExecutable

implements object

  An `XQueryExecutable` represents the compiled form of a query. To execute the query, it must first be loaded to form an `XQueryEvaluator`.

  An `XQueryExecutable` is immutable, and therefore thread-safe. It is simplest to load a new `XQueryEvaluator` each time the query is to be run. However, the `XQueryEvaluator` is serially reusable within a single thread.

  An `XQueryExecutable` is created by using one of the `Compile` methods on the `XQueryCompiler` class.

Property Summary
`bool` | `IsUpdateQuery` Ask whether this is an updating query (that is, one that returns a pending update list rather than a convensional value).

Method Summary
`XQueryEvaluator` | `Load()` Load the query to prepare it for execution.

Property Detail

### IsUpdateQuery

    public bool IsUpdateQuery {get; }

  Ask whether this is an updating query (that is, one that returns a pending update list rather than a convensional value).

  Property added in Saxon 9.1

Method Detail

### Load

    public XQueryEvaluator Load()

  Load the query to prepare it for execution.

  returns
    An `XQueryEvaluator`. The returned `XQueryEvaluator` can be used to set up the dynamic context for query evaluation, and to run the query.